Module java.base
Package java.lang

## Class StackFramePermission

- java.lang.Object
- - java.security.Permission
  - - java.security.BasicPermission
    - - java.lang.StackFramePermission

All Implemented Interfaces:
  Serializable, Guard

    public class StackFramePermission
    extends BasicPermission

Permission to access `StackWalker.StackFrame`.

See Also:
  `StackWalker.Option.RETAIN_CLASS_REFERENCE`, `StackWalker.StackFrame.getDeclaringClass()`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StackFramePermission(String name)` Creates a new `StackFramePermission` object.

### Method Summary

### Methods inherited from class java.security.BasicPermission

`equals, getActions, hashCode, implies, newPermissionCollection`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.security.Permission

`checkGuard, getName, toString`

### Constructor Detail

#### StackFramePermission

    public StackFramePermission(String name)

Creates a new `StackFramePermission` object.

Parameters:
  `name` - Permission name. Must be "retainClassReference".
Throws:
  `IllegalArgumentException` - if `name` is invalid.
  `NullPointerException` - if `name` is `null`.